Update to 1.7.2

Permalink
I have a problem updating to 1.7.2. I click [update] and it says it completes successfully but it doesn't go away from the "updates are availiable" page. I've even tried the "old-school" update and get the same results... Got any ideas for me to try?

dhoeschen
View Replies: View Best Answer
GregJoyce replied on at Permalink Reply
GregJoyce
That's annoying. It sounds like you absolutely have the package file in the right place if you did this manually. I would try Ye Olde "Clear Cache" first. To be extra sure, check the version in packages/discussion/controller.php. It will be 1.7.2 unless something truly weird is going on. Then check your database's "Packages" table through phpMyAdmin or similar and see what version it says.
dhoeschen replied on at Permalink Reply
dhoeschen
Wierd like this???

<?php  
defined('C5_EXECUTE') or die(_("Access Denied."));
class DiscussionPackage extends Package {
   protected $pkgHandle = 'discussion';
   protected $appVersionRequired = '5.4.1';
   protected $pkgVersion = '1.7.1';
GregJoyce replied on at Permalink Best Answer Reply
GregJoyce
Yes. Like that. Somehow we had the old version being served up still. If you run the update now, you will get the most recent version.
dhoeschen replied on at Permalink Reply
dhoeschen
Awesome :) Thank you!!!